=== modified file 'NewEventEntryField.qml'
--- NewEventEntryField.qml	2014-09-09 10:46:02 +0000
+++ NewEventEntryField.qml	2014-09-15 16:07:15 +0000
@@ -16,30 +16,18 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-import QtQuick 2.2
+import QtQuick 2.3
 import Ubuntu.Components 1.1
-import Ubuntu.Components.Themes.Ambiance 1.0
-import Ubuntu.Components.ListItems 1.0 as ListItem
 
-TextField{
+Label {
     id: root
 
-    property alias title: label.text
-
-    style: TextFieldStyle {
-        background: Item {}
-    }
-
-    primaryItem: Label{
-        id: label
-        anchors.left: parent.left
-        anchors.verticalCenter: parent.verticalCenter
-        color: root.highlighted ? "#2C001E" : Theme.palette.normal.baseText
-    }
-
-    color: focus ? "#2C001E" : "#5D5D5D"
-    font.pixelSize: focus ? FontUtils.sizeToPixels("large")
-                          : FontUtils.sizeToPixels("medium")
+    property bool highlighted: false
+
+    height: units.gu(3)
+
+    verticalAlignment: Text.AlignVCenter
+    color: highlighted ? "#2C001E" : Theme.palette.normal.baseText
 
     Rectangle {
         z: -1
@@ -47,10 +35,4 @@
         color: root.highlighted ? Theme.palette.selected.background
                                 : "Transparent"
     }
-
-    onActiveFocusChanged: {
-        if (activeFocus) {
-            flickable.makeMeVisible(root)
-        }
-    }
 }

